﻿<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class DemoSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup';

    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies)
    {
        $defs = array();

        $show_tv = isset($plugin_cookies->show_tv) ?
            $plugin_cookies->show_tv : 'yes';
        $show_vod = isset($plugin_cookies->show_vod) ?
            $plugin_cookies->show_vod : 'yes';
        $epg_shift = isset($plugin_cookies->epg_shift) ?
            $plugin_cookies->epg_shift : '0';
        $buf_time = isset($plugin_cookies->buf_time) ? $plugin_cookies->buf_time : 0;

	$load_sex = isset($plugin_cookies->load_sex) ? $plugin_cookies->load_sex : 'no';

        $show_ops = array();
        $show_ops['yes'] = 'Да';
        $show_ops['no'] = 'Нет';

        $sex_ops = array();
        $sex_ops['yes'] = 'Да';
        $sex_ops['no'] = 'Нет';

        for ($i = -12; $i<13; $i++)
		$shift_ops[$i*3600] = $i;

        $this->add_label($defs, 'Версия --------------------------------------', '---------------------------');

        $this->add_label($defs, '    MobiTV 1.0.1                          ', '    26 мая 2013 года');

        $this->add_label($defs, 'Настройки ----------------------------------', '---------------------------');

        $this->add_combobox($defs,
            'show_tv', '    Показать MobiTV в главном меню:',
            $show_tv, $show_ops, 0, true);

        $this->add_combobox($defs,
            'epg_shift', '    Коррекция программы (час):',
            $epg_shift, $shift_ops, 0, true);


            $show_buf_time_ops = array();

            $show_buf_time_ops[0] = 'По умолчанию       ';
            $show_buf_time_ops[500] = '0.5 с';
            $show_buf_time_ops[1000] = '1 с';
            $show_buf_time_ops[2000] = '2 с';
            $show_buf_time_ops[3000] = '3 с';
            $show_buf_time_ops[5000] = '5 с';
            $show_buf_time_ops[10000] = '10 с';

            $this->add_combobox
            (
                $defs,
                'buf_time',
                '    Время буферизации:',
                $buf_time, $show_buf_time_ops, 0, true
            );

	$this->add_combobox($defs,
            'load_sex', '    Загружать эротические каналы:',
            $load_sex, $sex_ops, 0, true);

         $this->add_button
            (
                $defs,
                'restart',
                '',
                'Перезагрузить плеер',
                0
            );

        $this->add_label($defs, 'Информация --------------------------------', '---------------------------');
        $this->add_label($defs,'    Разработка плагина:',' nuhim - forum.hdtv.ru');

        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print('Setup: handle_user_input:');
        foreach ($user_input as $key => $value)
            hd_print("  $key => $value");

//        if ($user_input->action_type === 'confirm')
        if ($user_input->action_type === 'confirm' || $user_input->action_type === 'apply' )
        {
            $control_id = $user_input->control_id;
            $new_value = $user_input->{$control_id};
            hd_print("Setup: changing $control_id value to $new_value");

            if ($control_id === 'restart')
                shell_exec('killall shell');
            else if ($control_id === 'show_tv')
                $plugin_cookies->show_tv = $new_value;
            else if ($control_id === 'show_vod')
                $plugin_cookies->show_vod = $new_value;
            else if ($control_id === 'buf_time')
                $plugin_cookies->buf_time = $new_value;
            else if ($control_id === 'epg_shift')
                $plugin_cookies->epg_shift = $new_value;
            else if ($control_id === 'load_sex')
               {
                $plugin_cookies->load_sex = $new_value;
                shell_exec("rm /persistfs/plugins/mobitv/lib/channel_list.php");
                if ($plugin_cookies->load_sex == 'yes' )
                   shell_exec("cp -f /persistfs/plugins/mobitv/data/channel_all.php /persistfs/plugins/mobitv/lib/channel_list.php");
                else  //if ($plugin_cookies->load_sex == 'no' )
                   shell_exec("cp -f /persistfs/plugins/mobitv/data/channel_nosex.php /persistfs/plugins/mobitv/lib/channel_list.php");
                return ActionFactory::show_title_dialog("После изменения этого параметра следует перезагрузить плеер.");
               }
        }

        return ActionFactory::reset_controls(
            $this->do_get_control_defs($plugin_cookies));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
